AsynchWriteAsynchChannelAdapter.ObjectDispatcherX (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.AsynchWriteAsynchChannelAdapter.ObjectDispatcherX class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class AsynchWriteAsynchChannelAdapter.ObjectDispatcherX

    java.lang.Object
      org.activeio.adapter.AsynchWriteAsynchChannelAdapter.ObjectDispatcherX

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AsynchWriteAsynchChannelAdapter

public static class AsynchWriteAsynchChannelAdapter.ObjectDispatcherX
extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener)`
`AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener, EDU.oswego.cs.dl.util.concurrent.Executor executor, EDU.oswego.cs.dl.util.concurrent.Channel queue)`
`AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener, int queueSize)`

Method Summary
`void` | `add(java.lang.Object o)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsynchWriteAsynchChannelAdapter.ObjectDispatcherX

    public AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener)

### AsynchWriteAsynchChannelAdapter.ObjectDispatcherX

    public AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener,
                                                             int queueSize)

### AsynchWriteAsynchChannelAdapter.ObjectDispatcherX

    public AsynchWriteAsynchChannelAdapter.ObjectDispatcherX(AsynchWriteAsynchChannelAdapter objectListener,
                                                             EDU.oswego.cs.dl.util.concurrent.Executor executor,
                                                             EDU.oswego.cs.dl.util.concurrent.Channel queue)

Method Detail

### add

    public void add(java.lang.Object o)
             throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.